# AudioKit Examples

## Examples for iOS that build on macOS Catalina through Catalyst

* HelloWorld - a simple two frequency oscillator
* Drums - trigger drum sounds from 8 pads on your iOS device. This one is the first built with SwiftUI.

## Examples for iOS and macOS

* Audio Unit Manager - host audio units inside your application
* File Converter - converts various file types
* Microphone Analysis - frequency and amplitude information from the incoming audio stream
* MIDI Utility - Basic MIDI implementation including MIDI monitoring
* Random Clips - Demonstration of some of the new sample accurate functionality in AudioKit 4
* Recorder - Simple audio recorder

## Examples for iOS only

* Apple Sampler Demo - example of AudioKit's AKAppleSampler
* Hello Objective-C - Hello World in the Objective-C language (as opposed to Swift)
* Loopback Recording - shows how to use the AKClipRecorder
* Metronome Sampler Sync - highly accurate, sample triggering metronome
* MIDI File Edit and Sync - demonstrates how to manipulate midifiles on the fly
* Particles - Metal based audio visualizer (works on devices only, not the simulator)
* Sequencer Demo - example of AudioKit's AKAppleSequencer

### Audiobus Examples for iOS

* Audiobus MIDI Sender - demonstrates how to use MIDI with Audiobus and AudioKit
* Filter Effects - Audiobus enabled effects processor
* Sender Synth - Audiobus enabled synthesizer

## Examples for macOS only

* Flanger and Chorus - Effect processor examples
* Hello OSC - Starter project for OSC communication
* Output Splitter - crude example of how to split Audio and pipe it to two different output devices
* Speech Synthesizeer - simple speech synthesizer

## Example for tvOS

* Hello World

...but we'd love to have more, if you'd like to contribute!

## External Examples

When projects get big or complicated enough, we move them to their own repositories:

* [Analog Synth X](https://github.com/AudioKit/AnalogSynthX) - polyphonic synthesizer with a very nice user interface
* [ROM Player](https://github.com/AudioKit/ROMPlayer) - EXS24, Sound Font, Wave Player
* [Particles](http://github.com/AudioKit/Particles/) - Metal based audio visualizer (works on devices only, not the simulator)
* [SamplerDemo](http://github.com/AudioKit/SamplerDemo/) - Demo of the AKSampler for both iOS and macOS
* [Song Processor](http://github.com/AudioKit/SongProcessor) - adding effects to songs from the device's iTunes Library